Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

index_uid
string
required

Unique identifier of the index.

Response

Returns the current value of the filterableAttributes setting.

A rule declaring which attributes can be used for filtering and faceting.

A rule takes one of two forms. The object form lists attribute patterns together with the filtering and faceting features they enable. The string form names a single attribute and is a shorthand for an object matching that attribute with the default features.

attributePatterns
string[]
required

Patterns to match attribute names. Use * as a wildcard to match any characters. For example, ["price_*", "stock"] matches price_usd, price_eur, and stock.

features
object

The filtering and faceting features enabled for attributes matching these patterns. If not specified, defaults to equality filtering enabled.